## helma.framework
Class RedirectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              helma.framework.RedirectException

All Implemented Interfaces:
  java.io.Serializable

    public class RedirectException

extends java.lang.Error

RedirectException is thrown internally when a response is redirected to a new URL. Although this is not an Error, it subclasses java.lang.Error because it's not meant to be caught by application code (similar to java.lang.ThreadDeath).

See Also:
  Serialized Form

Constructor Summary
`RedirectException(java.lang.String url)` Creates a new RedirectException object.

Method Summary
`java.lang.String` `getUrl()` Return the URL to redirect to.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectException

    public RedirectException(java.lang.String url)

  Creates a new RedirectException object.

  Parameters:
    `url` - the URL

Method Detail

### getUrl

    public java.lang.String getUrl()

  Return the URL to redirect to.

  Returns:
    the URL

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.